{ inputs, lib, pkgs, ... }:
{
  imports = [
    inputs.nixos-hardware.nixosModules.raspberry-pi-4
  ];

  nixpkgs.buildPlatform = "x86_64-linux";

  raspberry-pi-nix.board = "bcm2711";

  boot.kernelPackages = lib.mkForce pkgs.linuxKernel.packages.linux_rpi4;

  # nixos-hardware and raspberry-pi-nix conflict, set explicitly
  boot.loader.generic-extlinux-compatible.enable = false;

  boot.extraModprobeConfig = ''
    options snd_bcm2835 enable_headphones=1 enable_hdmi=1 enable_compat_alsa=0
  '';

  hardware.raspberry-pi."4" = {
    fkms-3d.enable = true;
  };

  hardware.raspberry-pi.config.all.base-dt-params = {
    audio = {
      enable = true;
      value = true;
    };
  };
}
